<li *ngIf="predmet == null" class="list-group-item bg-secondary">
  <h5 class="text-light">Niste selektovali predmet <i class="fas fa-info-circle"></i></h5>
</li>

<ngb-tabset *ngIf="predmet != null" justify="start" (tabChange)="tabChanged($event)">
  <ngb-tab title="Podaci o predmetu">
    <ng-template ngbTabContent>
      <form>
        <div class="form-group">
          <label for="naziv">
            <b>Naziv</b>
          </label>
          <input class="form-control" disabled name="naziv" value="{{predmet?.naziv}}">
        </div>
        <div class="form-group">
          <label for="oznaka">
            <b>Oznaka</b>
          </label>
          <input class="form-control" disabled name="oznaka" value="{{predmet?.oznaka}}">
        </div>
        <div class="form-group">
          <label for="espb">
            <b>ESPB</b>
          </label>
          <input class="form-control" disabled name="espb" value="{{predmet?.espb}}">
        </div>
      </form>
    </ng-template>
  </ngb-tab>

  <ngb-tab title="Ispiti" id="ispiti">
    <ng-template ngbTabContent>
      <ul class="list-group" id="ispit-list">
        <li *ngFor="let ispit of ispiti; let i = index" [ngClass]="{'active': false}" class="list-group-item list-group-item-action" [routerLink]="['/ispiti', ispit.id]">
          <div class="row">
            <div class="col-6">
              <label for="datumOdrzavanja"><h6>Datum Odrzavanja: </h6></label> {{ispit.datumOdrzavanja | date: 'dd. MMMM
              yyyy'}}
            </div>
            <div class="col-5">
              <label for="datumOdrzavanja"><h6>Rok prijave: </h6></label> {{ispit.rokZaPrijavu | date: 'dd. MMMM yyyy'}}
            </div>
          </div>
        </li>
        <li *ngIf="ispiti.length == 0 && predmetId != null" class="list-group-item bg-warning">
          <h5 class="text-dark">Nema ispita za izabrani predmet <i class="fas fa-exclamation-triangle"></i></h5>
        </li>

      </ul>
      <button class="btn btn-success mt-3" (click)="open(content)">Dodaj Ispit</button>
    </ng-template>
  </ngb-tab>

</ngb-tabset>


<ng-template #content let-c="close" let-d="dismiss">
  <div class="modal-header bg-success">
    <h4 class="modal-title text-light" id="modal-basic-title">Dodavanje ispita</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form #addIspitFomr="ngForm">
      <div class="form-group">
        <label for="">
          <b>Datum Odrzavanja</b>
        </label>
        <div class="input-group">
          <input placeholder="yyyy-mm-dd" name="ispit.datumOdrzavanja" class="form-control" (dateSelect)="onDatumOdrzavanjaSelect($event)"
            ngbDatepicker #d="ngbDatepicker">
          <div class="input-group-append">
            <button class="btn btn-outline-secondary" (click)="d.toggle()" type="button">
              <span>
                <i class="far fa-calendar-alt"></i>
              </span>
            </button>
          </div>
        </div>
      </div>
      <div class="form-group">
          <label for="">
            <b>Rok za prijavu</b>
          </label>
          <div class="input-group">
            <input placeholder="yyyy-mm-dd" name="ispit.rokZaPrijavu" class="form-control" (dateSelect)="onRokZaPrijavuSelect($event)"
              ngbDatepicker #f="ngbDatepicker">
            <div class="input-group-append">
              <button class="btn btn-outline-secondary" (click)="f.toggle()" type="button">
                <span>
                  <i class="far fa-calendar-alt"></i>
                </span>
              </button>
            </div>
          </div>
        </div>
    </form>
  </div>
  <div class="modal-footer">
    <div class="row">
      <div class="col-6">
        <button type="button" class="btn btn-success" (click)="onDodajIspit();c()">Dodaj</button>
      </div>
      <div class="col-6">
        <button type="button" class="btn btn-default" (click)="c()">Cancel</button>
      </div>
    </div>

  </div>
</ng-template>